Page MenuHomePhabricator

Perform %nn character, precombined character and other normalisations before rendering a redirect
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hallo!

I found this url at bug 927 comment 5
Bug 927: Text in the same line as #redirect not rendered, except for category tags

*request*
Please reorder the code and make all relevant normalisations *before* rendering
the redirect page.

More test cases are available at
http://en.wikipedia.org/wiki/User:Gangleri/tests/bugzilla/00927/%2C and it's
revision history.

More combination test case with precombined characters from
Bug 3860: links generated with precombined characters show red despite the fact
that the normalised links exist
are available at
http://en.wikipedia.org/wiki/User:Gangleri/tests/bugzilla/00927/%D7%90%D6%B7

You can find an overview at [[user:Gangleri/tests/bugzilla/00927]].

best regards reinhardt [[user:gangleri]]


Version: unspecified
Severity: trivial
URL: http://test.wikipedia.org/wiki/user:Gangleri/tests/bugzilla/04917/example_using_%22%2C%22

Details

Reference
bz4917

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:05 PM
bzimport added a project: MediaWiki-Redirects.
bzimport set Reference to bz4917.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 8 2006, 1:51 PM
brion added a comment.Feb 8 2006, 10:37 PM

Description doesn't appear to have anything to do with the test case.
Description doesn't appear to have anything to do with the dependency.

gangleri wrote:

This bug is about redirects using %nn characters as you can see at
http://en.wikipedia.org/w/index.php?title=User:Gangleri/tests/bugzilla/00927/%2C&action=edit

This will *fail*:
#REDIRECT [[Winston-Salem%2C_North_Carolina]] {{R from misspelling}}

This is *OK*
#REDIRECT [[Winston-Salem,_North_Carolina]] {{R from misspelling}}

http://en.wikipedia.org/w/index.php?title=User:Gangleri/tests/bugzilla/00927/%D7%90%D6%B7&oldid=38759916
*fails* because of
Bug 1527: *first* perform Unicode normalisation and check for existence of pages
*after* the normalisation

REOPENing bug

brion added a comment.Feb 9 2006, 6:43 AM

It's another junk page with multiple paragraphs of drivel on it.
Please create minimal, standalone test cases that test *only*
the thing you're trying to get us to look at. Having to tear
through a jungle or irrelevant junk text is extremely time
consuming; you file a lot of these things and it would be very
helpful if you could keep each one small and relevant.

gangleri wrote:

Hallo Brion!

Please go and edit
http://test.wikipedia.org/wiki/user:Gangleri/tests/bugzilla/04917/example_using_%22%2C%22
Please replace "%2C" with ",". This will "fix" the redirect.

*request*
The target link should be normalised. Then the existence should be checked. Then
the special "REDIRECT rendering" should be applied.


re: dependency on bug 1527

Please go and edit
http://test.wikipedia.org/wiki/user:Gangleri/tests/bugzilla/04917/example_using_%22%D7%90%D6%B7%22
Please replace ‎אַ with
אַ
This will "fix" the redirect.

best regards reinhardt [[user:gangleri]]

Test case:

Create a page ''Bug4917'' containing:

  • [[Bug4917/redirect]]
  • [[Bug4917,thebug]]

Edit [[Bug4917,thebug]] and enter some text.

Edit [[Bug4917/redirect]] and enter:
#REDIRECT [[Bug4917%2Cthebug]]

Save and go to [[Bug4917]], clicking on [[Bug4917/redirect]] show the page
but redirect is not followed.

% is a valid title character. There is a double-unescaping bug in apache which
may occasionally make it appear as if %2C is a valid substitute for "," in link
syntax, but it is not. %2C means %2C.

brion added a comment.Dec 15 2006, 7:14 PM

Percent codes are decoded in inline wikilinks (in part for backwards-compatibility
with interlanguage links from the olden days).

% is a valid title character, but %[0-9a-f]{2} is blacklisted to prevent
unreachable titles.

brion added a comment.May 29 2008, 4:55 PM

Seems to have been fixed some time ago.